## x11proto-input 1.3.99-0osso1

=== debian/changelog ===
x11proto-input (1.3.99-0osso1) unstable; urgency=low

  * Update to input-hotplug HEAD, which adds IsXExtension{Keyboard,Pointer}.

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 10 Aug 2006 17:47:03 +0300

x11proto-input (1.3.2-3osso1) unstable; urgency=low

  * Merge in DEVICE_CORE, DEVICE_TOUCHSCREEN, and DevicePresenceNotify changes
    slated for 1.4 upstream.
  * Set version to 1.3 for Maemo: applications using these functions MUST
    check for extension version 1.3 and a server vendor string of 'maemo'.

 -- Daniel Stone <daniel.stone@nokia.com>  Wed, 19 Apr 2006 12:30:31 +0000

x11proto-input (1.3.2-3) unstable; urgency=low

  * Upload to unstable

 -- David Nusinow <dnusinow@debian.org>  Thu, 23 Mar 2006 21:36:06 -0500

x11proto-input (1.3.2-2) experimental; urgency=low

  * Add epoch to versioned Pre-Depends on x11-common to make upgrades
    from monolithic x11-common work (Closes: #351779).

 -- Michel Dänzer <daenzer@debian.org>  Thu,  9 Feb 2006 16:40:59 +0100

x11proto-input (1.3.2-1) experimental; urgency=low

  * First upload to Debian

 -- David Nusinow <dnusinow@debian.org>  Fri, 30 Dec 2005 14:36:03 -0500

x11proto-input (1.3-1) breezy; urgency=low

  * First x11proto-input release.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon, 16 May 2005 22:10:17 +1000
