=== debian/control ===
Source: x11proto-input
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: David Nusinow <dnusinow@debian.org>, Branden Robinson <branden@debian.org>, Fabio M. Di Nitto <fabbione@fabbione.net>
Build-Depends-Indep: debhelper (>= 4.0.0)
Standards-Version: 3.6.1.0

Package: x11proto-input-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, x11-common
Pre-Depends: x11-common (>= 1:1.0)
Conflicts: libxi-dev (<< 6.8.2-16)
Replaces: libxi-dev (<< 6.8.2-16)
Description: X11 Input extension wire protocol
 This package provides the wire protocol for the Input extension, used to
 control all manner of options related to input device handling.
 .
 More information about X.Org can be found at:
 <URL:http://xorg.freedesktop.org>
 <URL:http://lists.freedesktop.org/mailman/listinfo/xorg>
 .
 This module can be found as the module 'proto/Input' at
 :pserver:anoncvs@cvs.freedesktop.org:/cvs/xorg
