## x11proto-input 1.9.99.5-4

=== debian/changelog ===
x11proto-input (1.9.99.5-4) unstable; urgency=low

  * Revert last change as it was only temporary solution. Fixes: NB#93950.

 -- Urpo Pietikainen <urpo.pietikainen@offcode.fi>  Wed, 10 Dec 2008 13:41:11 +0200

x11proto-input (1.9.99.5-3) unstable; urgency=low

  * Added XInput.h

 -- Urpo Pietikainen <urpo.pietikainen@offcode.fi>  Thu, 27 Nov 2008 12:01:35 +0200

x11proto-input (1.9.99.5-2) unstable; urgency=low

  * Upstream update from git://anongit.freedesktop.org/git/xorg/proto/inputproto.

 -- Urpo Pietikainen <urpo.pietikainen@offcode.fi>  Mon, 24 Nov 2008 13:22:31 +0200

x11proto-input (1.9.99.5-1) unstable; urgency=low

    * New upstream release.

 -- Urpo Pietikainen <urpo.pietikaine@offcode.fi>  Fri, 31 Oct 2008 16:32:54 +0200

x11proto-input (1.4.4-1) unstable; urgency=low

  [ Timo Aaltonen ]
  * New upstream release.
  * Switch to running autoreconf at build time, and build-depend on automake,
    libtool and xutils-dev.

  [ Julien Cristau ]
  * debian/rules: allow parallel builds.

 -- Julien Cristau <jcristau@debian.org>  Thu, 28 Aug 2008 00:06:54 +0200

x11proto-input (1.4.3-2) unstable; urgency=low

  * Fix from upstream: don't include <X11/Xmd.h> in XI.h, and use unsigned int
    instead of CARD32 (Closes: #470245).

 -- Julien Cristau <jcristau@debian.org>  Mon, 10 Mar 2008 14:39:22 +0100

x11proto-input (1.4.3-1) unstable; urgency=low

  [ Brice Goglin ]
  * Update the long description.
  * Add URL in debian/copyright.
  * Remove Fabio from Uploaders, with his permission.

  [ Julien Cristau ]
  * New upstream release.
  * debian/control updates:
    + add myself to Uploaders, and remove Branden with his permission
    + bump Standards-Version to 3.7.3 (no changes)
    + drop the XS- prefix from Vcs fields

 -- Julien Cristau <jcristau@debian.org>  Fri, 07 Mar 2008 13:50:08 +0100

x11proto-input (1.4.2-1) unstable; urgency=low

  * New upstream release

 -- David Nusinow <dnusinow@debian.org>  Mon, 30 Apr 2007 20:07:45 -0400

x11proto-input (1.4.1-2) unstable; urgency=low

  * Add XS-Vcs-* to debian/control.
  * Remove Fabio from Uploaders with his permission.
  * Drop outdated CVS info from the description.
  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Fri, 20 Apr 2007 21:51:49 +0200

x11proto-input (1.4.1-1) experimental; urgency=low

  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Thu, 15 Feb 2007 16:04:00 +0100

x11proto-input (1.4-1) experimental; urgency=low

  * New upstream version (X11R7.2).
  * Use debhelper 5.

 -- Drew Parsons <dparsons@debian.org>  Sun, 12 Nov 2006 20:44:18 +1100

x11proto-input (1.3.2-4) unstable; urgency=low

  * Test for obj-$(DEB_BUILD_GNU_TYPE) before creating it during build;
    idempotency fix.
  * Run dh_install w/ --list-missing.
  * Change debhelper build-dep-indep to a normal build-dep, as dh_clean
    is called inside the clean rule.
  * Drop duplicate x11-common dep in -dev package.
  * Bump standards version to 3.7.2.0.
  * Version x11-common pre-dep in -dev package to 1:7.0.0 to match
    the rest of Debian.

 -- Andres Salomon <dilinger@debian.org>  Fri, 21 Jul 2006 02:57:18 -0400
