=== debian/control ===
Source: x11proto-input
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: David Nusinow <dnusinow@debian.org>, Andres Salomon <dilinger@debian.org>, Drew Parsons <dparsons@debian.org>, Julien Cristau <jcristau@debian.org>
Build-Depends: debhelper (>= 5), automake, libtool, xutils-dev
Standards-Version: 3.7.3
Vcs-Git: git://git.debian.org/git/pkg-xorg/proto/x11proto-input
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/proto/x11proto-input.git

Package: x11proto-input-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: x11-common (>= 1:7.0.0)
Conflicts: libxi-dev (<< 6.8.2-16)
Replaces: libxi-dev (<< 6.8.2-16)
Description: X11 Input extension wire protocol
 This package provides development headers describing the wire protocol
 for the Input extension, used to control all manner of options related
 to input device handling.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 <URL:http://xorg.freedesktop.org>
 <URL:http://lists.freedesktop.org/mailman/listinfo/xorg>
 .
 This package is built from the X.org inputproto proto module.
