## x11proto-input 2.0-3-meego392%2b0m6

=== debian/changelog ===
x11proto-input (2.0-3-meego392+0m6) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 2.0-3-meego392+0m6

 -- Tiago Vignatti <tiago.vignatti@nokia.com>  Mon, 29 Nov 2010 19:47:49 +0200

x11proto-input (2.0-3-meego392) unstable; urgency=low

  * Add debian/api file for API management

 -- Tapani Pälli <tapani.palli@nokia.com>  Tue, 05 Oct 2010 15:04:10 +0300

x11proto-input (2.0-3-meego391) unstable; urgency=low

  * debian: Nokia debianization

 -- Julien Cristau <jcristau@debian.org>  Fri, 01 Oct 2010 16:01:49 +0300

x11proto-input (2.0-3) UNRELEASED; urgency=low

  * Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
    good reason.  Thanks, Colin Watson!
  * Remove myself from Uploaders

 -- Julien Cristau <jcristau@debian.org>  Sat, 16 Jan 2010 16:47:50 +0000

x11proto-input (2.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Wed, 06 Jan 2010 12:30:54 +0000

x11proto-input (2.0-1) experimental; urgency=low

  [ Julien Cristau ]
  * Add Depends on x11proto-core-dev.
  * Install the XI1 and XI2 specs in the package.

  [ Timo Aaltonen ]
  * New upstream release.
  * Bump the build-dep on xutils-dev (>= 1:7.5~1).

 -- Julien Cristau <jcristau@debian.org>  Thu, 26 Nov 2009 15:34:18 +0100

x11proto-input (1.9.99.902-1) experimental; urgency=low

  [ Timo Aaltonen ]
  * Add README.source from xsfbs. Bump Standards-Version to 3.8.1.

  [ Julien Cristau ]
  * Drop Pre-Depends on x11-common and Conflicts/Replaces on libxi-dev.  This
    was only needed for upgrades from sarge.
  * Bump Standards-Version to 3.8.3.
  * New upstream release candidate
    + XInput.h moved to libXi
  * Breaks libxi-dev << 1.2.99 to make sure XInput.h doesn't go missing.
  * Bump xutils-dev build-dep to 1:7.4+4.

 -- Julien Cristau <jcristau@debian.org>  Sat, 12 Sep 2009 14:52:31 +0200

x11proto-input (1.5.0-2) unstable; urgency=low

  * Pull from upstream: Protect _XiDevicePresenceNotifyEvent declaration
    against C++ includes.
  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Sun, 15 Feb 2009 21:10:05 +0100

x11proto-input (1.5.0-1) experimental; urgency=low

  * New upstream release.
  * Drop unused build-dep on libtool.

 -- Julien Cristau <jcristau@debian.org>  Fri, 19 Dec 2008 15:27:32 +0100
