=== debian/rules ===
--- 
+++ 
@@ -33,20 +33,20 @@
 
 configure:
 	dh_testdir
-	autoreconf -vfi
+	autoreconf -v -f -i
 
-obj-$(DEB_BUILD_GNU_TYPE)/config.status: configure
+build/config.status: configure
 	dh_testdir
-	mkdir -p obj-$(DEB_BUILD_GNU_TYPE)
-	cd obj-$(DEB_BUILD_GNU_TYPE) && \
+	mkdir -p build
+	cd build && \
 	../configure --prefix=/usr --mandir=\$${prefix}/share/man \
 	             --infodir=\$${prefix}/share/info --disable-shared \
 	             $(confflags) CFLAGS="$(CFLAGS)" 
 
 build: build-stamp
-build-stamp: obj-$(DEB_BUILD_GNU_TYPE)/config.status
+build-stamp: build/config.status
 	dh_testdir
-	cd obj-$(DEB_BUILD_GNU_TYPE) && $(MAKE)
+	cd build && $(MAKE)
 	>$@
 
 clean: xsfclean
@@ -58,9 +58,10 @@
 	rm -f */config.cache */config.log */config.status
 	rm -f conftest* */conftest*
 	rm -rf autom4te.cache */autom4te.cache
-	rm -rf obj-*
+	rm -rf build
+	rm -f config.guess config.sub
 	rm -f $$(find -name Makefile.in)
-	rm -f configure install-sh missing aclocal.m4
+	rm -f configure install-sh missing aclocal.m4 mkinstalldirs
 
 	dh_clean
 
@@ -70,7 +71,7 @@
 	dh_clean -k
 	dh_installdirs
 
-	cd obj-$(DEB_BUILD_GNU_TYPE) && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
+	cd build && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -88,6 +89,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+	maemo-optify
 	dh_md5sums
 	dh_builddeb
